<?php
defined('BASEPATH') or exit('No direct script access allowed');
//define("MEDIA_FOLDER", "/dir_intercambio/archivos/");
define("MEDIA_FOLDER", "c:\dir_intercambio\archivos\ ");


class Reportes extends Admin_Controller
{

    public function __construct()
    {
        parent::__construct();
        $this->load->model('expedientes/expedientes_model');
        $this->lang->load('expedientes/expedientes_lang');

        /* Titulo de la pagina :: Common */
        $this->page_title->push(lang('menu_expedientes'));
        $this->data['pagetitle'] = $this->page_title->show();
        $this->load->helper('download');

        //verificación de módulo para el reset de las variables de sessión utilizadas en la misma
        $_SESSION['id_modulo_ant'] = $_SESSION['id_modulo'];
        if ($_SESSION['id_modulo'] != 'REPORTES') {
            $_SESSION['arraywhere_expedientes']          = null;
            $_SESSION['arraycampos']          = null;
            $_SESSION['arraywhere_expedientes_busqueda'] = null;
            $_SESSION['id_modulo'] = 'REPORTES';

            $_SESSION['errores_expedientes'] = NULL;
            is_array($_SESSION['errores_expedientes']);            
        }
        /* Breadcrumbs :: Common */
        $this->breadcrumbs->unshift(1, lang('menu_expedientes'), 'expedientes/expedientes');
    }

    
    public function reportemapas($expe_id = null)
    {
        if (! $this->ion_auth->logged_in() or ! $this->ion_auth->is_admin()) {
            redirect('auth', 'refresh');
        }

        /* Breadcrumbs */
        $this->breadcrumbs->unshift(2, lang('expedientes_create'), 'expedientes/create');
        $this->data['breadcrumb'] = $this->breadcrumbs->show();

        //if (isset($expe_id) or ! $expe_id == null) {
        //    $expediente = $this->expedientes_model->view('v_expedientes', array('id' => $expe_id))->row();
        //} else {
            $expediente = $this->expedientes_model->view_registro_null('v_expedientes')->row();
            $expediente->id_tipo_afectacion = 0;
            $expediente->id_condicion_dominio = 0;
            $expediente->n_hoja = 1;
            $expediente->id_proyecto = 0;
            $expediente->id_tramo = 0;
            $expediente->id_subtramo = 0; 
            $expediente->id_departamento = null;
            $expediente->id_distrito = null;
            $expediente->id_tipo_afectacion = 0;   
            $expediente->total_hojas = 1;   
            $expediente->id_condicion_dominio = 0;        
        //}
        /* Validate form input */
        //$this->form_validation->set_rules('codigo_dbi', '<b>Código DBI</b>', 'required');
        $this->form_validation->set_rules('rm1_id_proyecto', '<b>Proyecto</b>', 'required');
        $this->form_validation->set_rules('id_tramo',    '<b>Tramo</b>',    'required');
        //$this->form_validation->set_rules('id_tipo_afectacion', '<b>Tipo de afectación</b>', 'required');
        //$this->form_validation->set_rules('id_condicion_dominio', '<b>Condición de dominio</b>', 'required');
        //$this->form_validation->set_rules('id_departamento', '<b>Departamento</b>', 'required');
        //$this->form_validation->set_rules('id_distrito', '<b>Distrito</b>', 'required');
        
        if (isset($_POST) && ! empty($_POST)) {
            if ($this->form_validation->run() == true) {
                $arraywhere = null;

                if ($_POST['desafectado'] ) {
                    $arraycampos['desafectado'] = $_POST['desafectado'];
                    $arraywhere['desafectado'] = $_POST['desafectado'];
                } else {
                    $arraycampos['desafectado'] = 'TO';
                    $arraywhere['desafectado'] = 'TO';
                }

                if ($_POST['entrada_maquina'] ) {
                    $arraycampos['entrada_maquina'] = $_POST['entrada_maquina'];
                    $arraywhere['entrada_maquina'] = $_POST['entrada_maquina'];
                } else {
                    $arraycampos['entrada_maquina'] = 'TO';
                    $arraywhere['entrada_maquina'] = 'TO';
                }

                if ($_POST['urgente'] ) {
                    $arraycampos['urgente'] = $_POST['urgente'];
                    $arraywhere['urgente'] = $_POST['urgente'];
                } else {
                    $arraycampos['urgente'] = 'TO';
                    $arraywhere['urgente'] = 'TO';
                }
                if ($_POST['rm1_id_proyecto']) {
                    $arraycampos['id_proyecto']  = $_POST['rm1_id_proyecto'];
                    $arraywhere['id_proyecto']  = $_POST['rm1_id_proyecto'];
                }

                if ($_POST['id_tramo']) {
                    $arraycampos['id_tramo']     = $_POST['id_tramo'];
                    $arraywhere['id_tramo']     = $_POST['id_tramo'];
                }

                if ($_POST['total_hojas']) {
                    $arraycampos['total_hojas']     = $_POST['total_hojas'];
                    $arraywhere['total_hojas']     = $_POST['total_hojas'];
                }

                if ($_POST['id_subtramo']) {
                    $arraycampos['id_subtramo'] = $_POST['id_subtramo'];
                    $arraywhere['id_subtramo'] = $_POST['id_subtramo'];
                } else {
                    $arraycampos['id_subtramo'] = null;
                    $arraywhere['id_subtramo'] = null;
                }

                if ($_POST['franja_dominio']) {
                    $arraycampos['franja_dominio'] = $_POST['franja_dominio'];
                    $arraywhere['franja_dominio'] = $_POST['franja_dominio'];
                }

                /*if ($_POST['progresiva_inicial']) {
                    $arraycampos['progresiva_inicial']   = $_POST['progresiva_inicial'];
                    $arraywhere['progresiva_inicial']   = $_POST['progresiva_inicial'];
                }
                
                if ($_POST['progresiva_final']) {
                    $arraycampos['progresiva_final']  = $_POST['progresiva_final'];
                    $arraywhere['progresiva_final']  = $_POST['progresiva_final'];
                }

                if ($_POST['notificacion']) {
                    $arraycampos['notificacion']            = $_POST['notificacion'];
                }*/

                if ($_POST['id_departamento']) {
                    $arraycampos['id_departamento']    = $_POST['id_departamento'];
                    $arraywhere['id_departamento']    = $_POST['id_departamento'];
                }

                if ($_POST['id_distrito']) {
                    $arraycampos['id_distrito']    = $_POST['id_distrito'];
                    $arraywhere['id_distrito']    = $_POST['id_distrito'];
                }

                if ($_POST['lugar']) {
                    $arraycampos['lugar']   = $_POST['lugar'];
                    $arraywhere['lugar']   = $_POST['lugar'];
                }

                if ($_POST['id_tipo_afectacion']) {
                    $arraycampos['id_tipo_afectacion']     = $_POST['id_tipo_afectacion'];
                    $arraywhere['id_tipo_afectacion']     = $_POST['id_tipo_afectacion'];
                } else {
                    $arraycampos['id_tipo_afectacion']     = 0;
                    $arraywhere['id_tipo_afectacion']     = 0;
                }

                if ($_POST['id_condicion_dominio']) {
                    $arraycampos['id_condicion_dominio']   = $_POST['id_condicion_dominio'];
                    $arraywhere['id_condicion_dominio']   = $_POST['id_condicion_dominio'];
                } else {
                    $arraycampos['id_condicion_dominio']     = 0;
                    $arraywhere['id_condicion_dominio']     = 0;
                }

                $_SESSION['arraywhere_expedientes']          = null;
                $_SESSION['arraywhere_expedientes_busqueda'] = null;
                $_SESSION['arraycampos']          = $arraycampos;
                $_SESSION['arraywhere']           = $arraywhere;
                $accion = 0;
                if (isset($_POST['accion'])) {
                    $accion = intval($_POST['accion']);
                } else {
                    $accion = 0;
                }
                if ($_POST['codigo'] and $_POST['id_proyecto']) {
                        $arraycampos['codigo_unico']   = $_POST['codigo'].'_'.$_POST['id_proyecto'];
                }                
                $_SESSION['arraycampos']          = $arraycampos;

                if ($accion==1) {
                    //http://jaimito.site:8060/i3geo/ferramentas/imprimir/mopc_gl_A4_listado_afectados_tramo.php?id_tramo=2&usr=1
                    //$i_jameuge = $_SESSION['url_mapserver']."/i3geo/ferramentas/imprimir/mopc_A4_plano_individual.php?";
                    $i_jameuge = "http://jaimito.site:8060/i3geo/ferramentas/imprimir/mopc_gl_A4_listado2_afectados_tramo.php?";
                    //$i_jameuge = $i_jameuge . "mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/mopc_A4_plano_individual.map";
                    $i=0;
                    foreach ($arraywhere as $k => $v) {
                        $i=$i+1;
                        if ($i==1) {
                            $i_jameuge = $i_jameuge . $k."=".$v;
                        } else {   
                            $i_jameuge = $i_jameuge . "&".$k."=".$v;
                        }                      
                    } 
                    $i_jameuge = $i_jameuge . "&usr=".$_SESSION['user_id'];
                    //$i_jameuge = $i_jameuge . "&hoja=".$hoja;         
                    //$i_jameuge = $i_jameuge . "&par_escala=".$par_escala;   
                    //$i_jameuge = $i_jameuge . "&genera_per=N";  
                        /*
                        echo '<pre>';
                        print_r($i_jameuge);
                        echo '</pre>';
                        show_error(1);
                        */
                    redirect($i_jameuge);
                    $this->session->set_flashdata('message', '<span id="botonCodigo" type="button" data-toggle="modal" data-target="#modalCodigo">ACCION 1</span>');
                        redirect('expedientes/Reportes/reportemapas/'.$expe_id);                    
                } else {
                    if ($accion==2) {


                        $i_jameuge = "http://jaimito.site:8060/i3geo/ferramentas/imprimir/mopc_gl_a3_mapa_tramo_afectacion2.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/mopc_gl_a3_tramo_afectacion2.map&interface=googlemaps";                      
                        $i=0;
                        foreach ($arraywhere as $k => $v) {
                            $i=$i+1;
                                $i_jameuge = $i_jameuge . "&".$k."=".$v;                     
                        } 
                        $i_jameuge = $i_jameuge . "&usr=".$_SESSION['user_id'];

            $expediente->id_proyecto = 0;
            $expediente->id_tramo = 0;
            $expediente->id_proyecto = 0;

            $proyectos[''] = 'Seleccione el proyecto';
            $proyecto = $this->expedientes_model->dropdown_data('proyectos')->result_array();
            foreach ($proyecto as $item) {
                $proyectos[$item['id_proyecto']] = $item['codigo_proyecto'].' - '.$item['descripcion'];
            }
            $this->data['proyecto'] = $proyectos;
            $this->data['proyecto_sel'] = $expediente->id_proyecto;

            $tramos[''] = 'Seleccione el tramo';
            $this->data['tramo'] = $tramos;
            $this->data['tramo_sel'] = $expediente->id_tramo;

            $subtramos[''] = 'Seleccione el subtramo';
            $this->data['subtramo'] = $subtramos;
            $this->data['subtramo_sel'] = $expediente->id_subtramo;


                        redirect($i_jameuge);


                        $this->session->set_flashdata('message', '<span id="botonCodigo" type="button" data-toggle="modal" data-target="#modalCodigo">ACCION 2</span>');
                        redirect('expedientes/Reportes/reportemapas/'.$expe_id);                        
                    } else {
                        if ($accion==3) {

                            $i_jameuge = "http://jaimito.site:8060/i3geo/ferramentas/imprimir/mopc_gl_a3_mapa_tramo_afectacion_det.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/mopc_gl_a3_tramo_afectacion.map&interface=googlemaps";                      
                            $i=0;

                            foreach ($arraywhere as $k => $v) {
                                $i=$i+1;
                                    $i_jameuge = $i_jameuge . "&".$k."=".$v;                     
                            } 
                            $i_jameuge = $i_jameuge . "&usr=".$_SESSION['user_id'];
                            redirect($i_jameuge);

                            $this->session->set_flashdata('message', '<span id="botonCodigo" type="button" data-toggle="modal" data-target="#modalCodigo">ACCION 3</span>');
                            redirect('expedientes/Reportes/reportemapas/'.$expe_id);                            
                    
                        } else {
                           if ($accion==4) {

                                $i_jameuge = "http://jaimito.site:8060/i3geo/ferramentas/imprimir/mopc_gl_a3_mapa_tramo_afectacion_det.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/mopc_gl_a3_tramo_afectacion.map&interface=googlemaps";                      
                                $i=0;
    
                                foreach ($arraywhere as $k => $v) {
                                    $i=$i+1;
                                        $i_jameuge = $i_jameuge . "&".$k."=".$v;                     
                                } 
                                $i_jameuge = $i_jameuge . "&usr=".$_SESSION['user_id'];
                                redirect($i_jameuge);
    
                                $this->session->set_flashdata('message', '<span id="botonCodigo" type="button" data-toggle="modal" data-target="#modalCodigo">ACCION 4</span>');
                                redirect('expedientes/Reportes/reportemapas/'.$expe_id);                            
                        
                            } else {
                                $expe_generado = true;
                            }
                        }                      
                    }
                }
                $expe_generado = true;              

                if (!$expe_generado) {
                    $this->session->set_flashdata('message', $this->ion_auth->errors());
                } else {
                    $this->session->set_flashdata('message', '<span id="botonCodigo" type="button" data-toggle="modal" data-target="#modalCodigo">REPORTE GENERADO EXITOSAMENTE</span>');
                        redirect('expedientes/Reportes/reportemapas/'.$expe_id);
                }
            }
        } else {

            /*
            if (isset($arraycampos)) {

            } else {
                $arraycampos  $_SESSION['arraycampos'];
            }
            */
        }

            $this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));

            $this->data['fecha_ingreso'] = array(
            'type'     => 'text',
            'name'     => 'fecha_ingreso',
            'id'       => 'fecha_ingreso',
            'value'    => $this->form_validation->set_value('fecha_ingreso', date('d/m/Y')),
            //'value'    => $this->form_validation->set_value('fecha_ingreso', formato_fecha($expediente->fecha_ingreso)),
            'class'    => 'form-control'
            //,'required' => 'true'
            );

            $this->data['codigo'] = array(
            'type'     => 'text',
            'name'     => 'codigo',
            //'pattern'  => '^([A-Z][0-9]{0,4})?$',
            'id'       => 'codigo',
            'value'    => $this->form_validation->set_value('codigo'),
            'class'    => 'form-control',
            'maxlength'=> '10'
            );
            $this->data['codigo_meu'] = array(
            'type'     => 'text',
            'name'     => 'codigo_meu',
            'pattern'  => '^([1-9][0-9]{0,10})?$',
            'id'       => 'codigo_meu',
            'value'    => $this->form_validation->set_value('codigo_meu'),
            'class'    => 'form-control'
            );

            $this->data['daj_fecha_meu'] = array(
            'type'     => 'text',
            'name'     => 'daj_fecha_meu',
            'id'       => 'daj_fecha_meu',
            'value'    => $this->form_validation->set_value('daj_fecha_meu'),
            'class'    => 'form-control',
            );
            $this->data['desafectado'] = array(
                    'type'     => 'radio',
                    'name'     => 'desafectado',
                    'id'       => 'desafectado',
                    'value_s'  => 'SI',
                    'value_n'  => 'NO',
                    'value_t'  => 'TO',
                    'class'    => 'form-control'
            );
        
            $this->data['desafectado']['checked_s'] = false;
            $this->data['desafectado']['checked_n'] = false;
            $this->data['desafectado']['checked_t'] = true;

            $this->data['entrada_maquina'] = array(
                'type'     => 'radio',
                'name'     => 'entrada_maquina',
                'id'       => 'entrada_maquina',
                'value_s'  => 'SI',
                'value_n'  => 'NO',
                'value_t'  => 'TO',
                'class'    => 'form-control'
            );
        
            $this->data['entrada_maquina']['checked_s'] = false;
            $this->data['entrada_maquina']['checked_n'] = false;
            $this->data['entrada_maquina']['checked_t'] = true;


            $this->data['urgente'] = array(
                'type'     => 'radio',
                'name'     => 'urgente',
                'id'       => 'urgente',
                'value_s'  => 'SI',
                'value_n'  => 'NO',
                'value_t'  => 'TO',
                'class'    => 'form-control'
            );
        
            $this->data['urgente']['checked_s'] = false;
            $this->data['urgente']['checked_n'] = false;
            $this->data['urgente']['checked_t'] = true;

            $this->data['ubi_coordenada_e'] = array(
            'type'     => 'text',
            'name'     => 'ubi_coordenada_e',
            'pattern'  => '^\s*-?[0-9]{1,10}\s*(\,\d{0,4})?$',
            'id'       => 'ubi_coordenada_e',
            'value'    => $this->form_validation->set_value('ubi_coordenada_e'),
            'class'    => 'form-control'
            //,'required' => 'true'
            );
            
            $this->data['ubi_coordenada_n'] = array(
            'type'     => 'text',
            'name'     => 'ubi_coordenada_n',
            'pattern'  => '^\s*-?[0-9]{1,10}\s*(\,\d{0,4})?$',
            'id'       => 'ubi_coordenada_n',
            'value'    => $this->form_validation->set_value('ubi_coordenada_n'),
            'class'    => 'form-control'
            //,'required' => 'true'
            );

            $this->data['ubi_coordenada_x'] = array(
            'type'     => 'text',
            'name'     => 'ubi_coordenada_x[]',
            'pattern'  => '^\s*-?[0-9]{1,7}\s*(\,\d{0,5})?$',
            'id'       => 'ubi_coordenada_x',
            'value'    => $this->form_validation->set_value('ubi_coordenada_x'),
            'class'    => 'form-control'
            //,'required' => 'true'
            );
            
            $this->data['ubi_coordenada_y'] = array(
            'type'     => 'text',
            'name'     => 'ubi_coordenada_y[]',
            'pattern'  => '^\s*-?[0-9]{1,7}\s*(\,\d{0,5})?$',
            'id'       => 'ubi_coordenada_y',
            'value'    => $this->form_validation->set_value('ubi_coordenada_y'),
            'class'    => 'form-control'
            //,'required' => 'true'
            );

            $proyectos[''] = 'Seleccione el proyecto';
            $proyecto = $this->expedientes_model->dropdown_data('proyectos')->result_array();
            foreach ($proyecto as $item) {
                $proyectos[$item['id_proyecto']] = $item['codigo_proyecto'].' - '.$item['descripcion'];
            }
            $this->data['proyecto'] = $proyectos;
            $this->data['proyecto_sel'] = $expediente->id_proyecto;

            $tramos[''] = 'Seleccione el tramo';
            $this->data['tramo'] = $tramos;
            $this->data['tramo_sel'] = $expediente->id_tramo;

            $subtramos[''] = 'Seleccione el subtramo';
            $this->data['subtramo'] = $subtramos;
            $this->data['subtramo_sel'] = $expediente->id_subtramo;

            $this->data['franja_dominio'] = array(
                    'type'     => 'radio',
                    'name'     => 'franja_dominio',
                    'id'       => 'franja_dominio',
                    'value_fc'  => 'FC',
                    'value_fd'  => 'FD',
                    'value_ft'  => 'FT',
                    'class'    => 'form-control'
            );
        
            $this->data['franja_dominio']['checked_fc'] = false;
            $this->data['franja_dominio']['checked_fd'] = false;
            $this->data['franja_dominio']['checked_ft'] = true;

            $this->data['progresiva_inicial'] = array(
            'type'     => 'text',
            'name'     => 'progresiva_inicial',
            'placeholder'  =>  'xxx+xxx',
            'pattern'  => '^\d{0,3}(\+\d{0,3})?$',
            'id'       => 'progresiva_inicial',
            'value'    => $this->form_validation->set_value('progresiva_inicial'),
            'class'    => 'form-control'
            //,'required' => 'true'
            );
            $this->data['progresiva_final'] = array(
            'type'     => 'text',
            'name'     => 'progresiva_final',
            'placeholder'  =>  'xxx+xxx',
            'pattern'  => '^\d{0,3}(\+\d{0,3})?$',
            'id'       => 'progresiva_final',
            'value'    => $this->form_validation->set_value('progresiva_final'),
            'class'    => 'form-control'
            //,'required' => 'true'
            );
            $this->data['notificacion'] = array(
            'type'     => 'text',
            'name'     => 'notificacion',
            'id'       => 'notificacion',
            'value'    => $this->form_validation->set_value('notificacion'),
            'class'    => 'form-control',
            );

            $departamentos[''] = 'Seleccione el departamento';
            $departamento = $this->expedientes_model->dropdown_data('departamentos')->result_array();
            foreach ($departamento as $dep) {
                $departamentos[$dep['dpto']] = $dep['dpto'].' - '.$dep['dpto_desc'];
            }
            $this->data['departamento'] = $departamentos;
            $this->data['departamento_sel'] = $expediente->id_departamento;

            $distritos[''] = 'Seleccione el distrito';
            $this->data['distrito'] = $distritos;
            $this->data['distrito_sel'] = $expediente->id_distrito;

            $this->data['lugar'] = array(
            'type'     => 'text',
            'name'     => 'lugar',
            'id'       => 'lugar',
            'value'    => $this->form_validation->set_value('lugar'),
            'class'    => 'form-control'
            );

            $afectaciones[''] = 'Seleccione el tipo de afectacion';
            $afectacion = $this->expedientes_model->dropdown_data('v_tipos_afectacion_todos')->result_array();
            foreach ($afectacion as $tip) {
                $afectaciones[$tip['id_tipo_afeccion']] = $tip['id_tipo_afeccion'].' - '.$tip['nombre'];
            }
            $this->data['tipo_afectacion'] = $afectaciones;
            $this->data['tipo_afectacion_sel'] = $expediente->id_tipo_afectacion;


            $a_hojas[''] = 'Seleccione cantidad de hojas';
            $d_hojas = $this->expedientes_model->dropdown_data('v_reportemapas_n_hojas')->result_array();
            foreach ($d_hojas as $item) {
                $a_hojas[$item['n_hoja']] = $item['n_hoja'].' - '.$item['nombre'];
            }
            $this->data['hojas'] = $a_hojas;
            $this->data['hojas_sel'] = $expediente->n_hoja;




            $dominios[''] = 'Seleccione condicion de dominio';
            $dominio = $this->expedientes_model->dropdown_data('v_tipos_ocupacion_todos')->result_array();
            foreach ($dominio as $item) {
                $dominios[$item['id_tipo_ocupacion']] = $item['id_tipo_ocupacion'].' - '.$item['nombre'];
            }
            $this->data['condicion_dominio'] = $dominios;
            $this->data['condicion_dominio_sel'] = $expediente->id_condicion_dominio;

            $this->data['nombre_completo'] = array(
            'type'     => 'text',
            'name'     => 'nombre_completo',
            'id'       => 'nombre_completo',
            'value'    => $this->form_validation->set_value('nombre_completo'),
            'class'    => 'form-control'
            //,'required' => 'true'
            );
            $this->data['cedula_identidad'] = array(
            'type'     => 'text',
            'name'     => 'cedula_identidad',
            'id'       => 'cedula_identidad',
            'value'    => $this->form_validation->set_value('cedula_identidad'),
            'class'    => 'form-control',
            );
            $this->data['fecha_nacimiento'] = array(
            'type'     => 'text',
            'name'     => 'fecha_nacimiento',
            'id'       => 'fecha_nacimiento',
            'value'    => $this->form_validation->set_value('fecha_nacimiento'),
            'class'    => 'form-control',
            );
            $this->data['telefono'] = array(
            'type'     => 'text',
            'name'     => 'telefono',
            'id'       => 'telefono',
            'value'    => $this->form_validation->set_value('telefono'),
            'class'    => 'form-control'
            );
            $this->data['cta_cte_catastral'] = array(
            'type'     => 'text',
            'name'     => 'cta_cte_catastral',
            'placeholder' => 'xx-xxxx-xx',
            'pattern'  => '^\d{0,2}(\-\d{0,4})?(\-\d{0,2})?$',
            'id'       => 'cta_cte_catastral',
            'value'    => $this->form_validation->set_value('cta_cte_catastral'),
            'class'    => 'form-control',
            'maxlength'=> '255'
            );
            $this->data['padron'] = array(
            'type'     => 'text',
            'name'     => 'padron',
            'pattern'  => '^([1-9][0-9]{0,10})?$',
            'id'       => 'padron',
            'value'    => $this->form_validation->set_value('padron'),
            'class'    => 'form-control'
            );
            $this->data['finca'] = array(
            'type'     => 'text',
            'name'     => 'finca',
            'pattern'  => '^([1-9][0-9]{0,10})?$',
            'id'       => 'finca',
            'value'    => $this->form_validation->set_value('finca'),
            'class'    => 'form-control',
            'maxlength'=> '255'
            );
            $this->data['matricula'] = array(
            'type'     => 'text',
            'name'     => 'matricula',
            'id'       => 'matricula',
            'value'    => $this->form_validation->set_value('matricula'),
            'class'    => 'form-control',
            );
            $this->data['observacion_caratula'] = array(
            'type'     => 'text',
            'name'     => 'observacion_caratula',
            'id'       => 'observacion_caratula',
            'value'    => $this->form_validation->set_value('observacion_caratula'),
            'class'    => 'form-control textarea'
            );
            $this->data['observacion_cedula'] = array(
            'type'     => 'text',
            'name'     => 'observacion_cedula',
            'id'       => 'observacion_cedula',
            'value'    => $this->form_validation->set_value('observacion_cedula'),
            'class'    => 'form-control textarea'
            );

            $this->data['observacion_autorizacion'] = array(
            'type'     => 'text',
            'name'     => 'observacion_autorizacion',
            'id'       => 'observacion_autorizacion',
            'value'    => $this->form_validation->set_value('observacion_autorizacion'),
            'class'    => 'form-control textarea'
            );

        /* Load Template */
            $this->template->admin_render('expedientes/reportemapas', $this->data);
    }


    
    public function tiene_salida()
    {
        $expe_id = $_POST['expe_id'];

        $expe = $this->expedientes_model->view('exp', array('expe_id' => $expe_id, 'expe_estado' => 'P'))->row();

        if ($expe) {
            echo 'SI';
        } else {
            echo 'NO';
        }
    }

    public function existe_grafico()
    {
        $id_expediente  = $_POST['id_expediente'];
        $gestion        = $_POST['gestion'];

        $expe = $this->expedientes_model->existe_grafico($id_expediente, $gestion)->row()->f_existe_grafico;

        echo $expe;
    }

    public function existe_grafico_expe_id()
    {
        $expe_id    = $_POST['expe_id'];

        $expe = $this->expedientes_model->existe_grafico_expe_id($expe_id)->row()->f_existe_grafico_expe_id;

        echo $expe;
    }

    public function existe_exp()
    {
        $exp        = $_POST['exp'];
        $gestion    = $_POST['gest'];

        $expe = $this->expedientes_model->dropdown_data('exp', array('expe_id_expediente' => $exp, 'expe_gestion' => $gestion))->num_rows();

        if ($expe > 0) {
            echo 'SI';
        } else {
            echo 'NO';
        }
    }

    public function existe_exp_uk()
    {
        $exp        = $_POST['exp'];
        $gestion    = $_POST['gest'];
        $dep    = $_POST['dep'];

        $expe = $this->expedientes_model->dropdown_data('exp', array('expe_id_expediente' => $exp,
                                                                      'expe_gestion' => $gestion,
                                                                      'expe_id_dependencia' => $dep
                                                                      ))->num_rows();

        if ($expe > 0) {
            echo 'SI';
        } else {
            echo 'NO';
        }
    }

    public function reingreso_exp()
    {
        $exp    = $_POST['exp'];
        $gest   = $_POST['gest'];

        $expe_id = $this->expedientes_model->dropdown_data('exp', array('expe_id_expediente' => $exp, 'expe_gestion' => $gest))->row()->expe_id;

        echo $expe_id;

        //$reingreso  = $this->expedientes_model->actualizar_expediente($expe_id, array('expe_id_expediente_ref' => $exp, 'expe_id' => ));


        //redirect('expedientes/expedientes/edit_expe/'.$expe_id);
    }

    public function call_bat()
    {
        $cmd = system('cmd /c C:/espacio_trabajo/importar_shape_ide.bat');
    }

    public function trae_distritos()
    {
        $dpto      = $_POST['departamento'];

        $distritos = $this->expedientes_model->dropdown_data('distritos', array('dpto' => $dpto), 'distrito')->result();

        echo '<option value="">Seleccione el distrito</option>';
        foreach ($distritos as $dist) {
            echo '<option value="' . $dist->distrito . '">' . $dist->distrito . ' - ' . $dist->dist_desc . '</option>';
        }

        //echo json_encode($distritos);
    }

    public function traer_tramos()
    {
        $proyecto      = $_POST['proyecto'];

        $tramos = $this->expedientes_model->dropdown_data('tramos', array('id_proyecto' => $proyecto, 'tramo_padre' => null), 'id_tramo')->result();

        echo '<option value="">Seleccione el tramo</option>';
        foreach ($tramos as $tr) {
            echo '<option value="'.$tr->id_tramo.'">'.$tr->nombre.'</option>';
        }

        //echo json_encode($distritos);
    }

    public function traer_subtramos()
    {
        $tramo      = $_POST['tramo'];

        $subtramos = $this->expedientes_model->dropdown_data('tramos', array('tramo_padre' => $tramo), 'id_tramo')->result();

        echo '<option value="">Seleccione el subtramo</option>';
        foreach ($subtramos as $subtr) {
            echo '<option value="'.$subtr->id_tramo.'">'.$subtr->nombre.'</option>';
        }

        //echo json_encode($distritos);
    }

    public function trae_expe_ref()
    {
        $expe      = $_POST['expe_id_expediente_ref'];

        $expes = $this->expedientes_model->dropdown_data('exp', array('expe_id_expediente_ref' => $expe), 'expe_id')->result();

        echo '<option value="">Seleccione Expediente</option>';
        foreach ($expes as $value) {
            $expes[$ex['expe_id']] = $ex['expe_id_expediente'].'-'.$ex['expe_gestion'].'-'.$ex['expe_id_dependencia'].'-'.$ex['expe_secuencia'];

            echo '<option value="' . $value->expe_id . '">' . $value->expe_id_expediente . '-' . $value->expe_gestion . '-' . $value->expe_id_dependencia . '-' . $value->expe_secuencia .  '</option>';
        }

        //echo json_encode($distritos);
    }



}
  